## Apache Zeta Components Manual :: Docs For Class ezcMailRfc822Digest

### Mail::ezcMailRfc822Digest

### Class ezcMailRfc822Digest

Mail part or mail digest parts.

This class is used to insert mail into mail.

This example assumes that the mail object to digest is availble in the $digest variable:

1. $mail=new ezcMail ();
2. $mail->from=new ezcMailAddress ('sender@example.com','Largo LaGrande');
3. $mail->addTo(new ezcMailAddress ('receiver@example.com','Wally B. Feed') );
4. $mail->subject="This is the subject of the mail with a mail digest.";
5. $textPart=new ezcMailText ("This is the body of the mail with a mail digest.");
7. $mail->body=new ezcMailMultipartMixed ($textPart,new ezcMailRfc822Digest ($digest) );
9. $transport=new ezcMailMtaTransport ();
10. $transport->send($mail);

Source for this file: /Mail/src/parts/rfc822_digest.php

    ezcMailPart
       |
       --ezcMailRfc822Digest

Version: | //autogen//

### Properties

string | read/write | `$mail` The mail object to digest.

### Inherited Member Variables

From ezcMailPart
protected | `ezcMailPart::$properties`

### Method Summary

public ezcMailRfc822Digest | `__construct( $mail )` Constructs a new ezcMailDigest with the mail $mail.
public string | `generateBody( )` Returns the body part of this mail consisting of the digested mail.

### Inherited Methods

From ezcMailPart
public ezcMailPart | `ezcMailPart::__construct()` Constructs a new mail part.
public void | `ezcMailPart::appendExcludeHeaders()` The array $headers will be excluded when the headers are generated.
public string | `ezcMailPart::generate()` Returns the complete mail part including both the header and the body as a string.
public abstract string | `ezcMailPart::generateBody()` Returns the body of this part as a string.
public string | `ezcMailPart::generateHeaders()` Returns the headers set for this part as a RFC 822 string.
public mixed | `ezcMailPart::getHeader()` Returns the RAW value of the header $name.
protected string | `ezcMailPart::getHeaderCharset()` Returns the charset registered for the header $name.
public void | `ezcMailPart::setHeader()` Sets the header $name to the value $value and its charset to $charset.
protected void | `ezcMailPart::setHeaderCharset()` Sets the charset of the header $name to $value.
public void | `ezcMailPart::setHeaders()` Adds the headers $headers.

### Methods

#### __construct

ezcMailRfc822Digest __construct( ezcMail $mail )

Constructs a new ezcMailDigest with the mail $mail.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$mail` | ezcMail |

##### Redefinition of:

Method | Description
--- | ---
`ezcMailPart::__construct()` | Constructs a new mail part.

#### generateBody

string generateBody( )

Returns the body part of this mail consisting of the digested mail.

##### Redefinition of:

Method | Description
--- | ---
`ezcMailPart::generateBody()` | Returns the body of this part as a string.

Documentation generated by phpDocumentor 1.4.3